body.has-fixed-categorias {
    padding-top: 70px;
}

/* BARRA */
.pc-categorias-scroll {
    display: flex;
    overflow-x: auto;
    gap: 10px;
    padding: 10px;
    background: #fff;
    z-index: 666;
    position: relative;
    
    
     -webkit-overflow-scrolling: touch; /* iOS SUAVE */
    scroll-behavior: smooth;
    cursor: grab;
    scrollbar-width: none;
    
     user-select: none;
    -webkit-user-select: none;
      
}

.pc-categorias-scroll::-webkit-scrollbar {
    display: none;
}

/* BOTÕES */
.pc-categorias-scroll .categoria {
    white-space: nowrap;
    padding: 8px 15px;
    background: #eee;
    border-radius: 20px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.2s;
    text-decoration: none;
    color: #333;
     pointer-events: auto;
     text-transform: uppercase;
}

.pc-categorias-scroll .categoria.ativo {
    background: var(--cor-principal);
    color: #fff;
}

/* FIXO */
.pc-categorias-scroll.fixed {
    position: fixed;
    top: 60px; /* seu header */
    left: 0;
    width: 100%;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
     z-index: 999; /* IMPORTANTE */
}

/* GARANTE QUE NÃO QUEBRE LAYOUT */
.pc-categorias-scroll.fixed {
    max-width: 100%;
}

.pc-cardapio {
	width: 100%;
	display: flex;
	flex-direction: column;
	padding: 10px;
	background-color: #F7F7F7;
        border-radius: 12px;
}

.pc-cardapio .categoria {
	background: none;
	padding: 8px 15px;
	color: var(--cor-principal);
	border-radius: 12px;
	padding-top: 14px;
	border: none;
	font-weight: 700;
	text-align: center;
	background-color: #e9e9e9;
         text-align: center;
}

.pc-cardapio .categoria.clean {
	background: none;
	padding: 8px 15px;
	color:var(--cor-principal);
	border-radius: 12px;
	padding-top: 14px;
	border: none;
	font-weight: 700;
        text-align: center;
}


.pc-cardapio .itens {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 15px;
        margin-top: 15px;
        margin-bottom: 30px;
}

.pc-cardapio .itens .item {
	color: #333;
	font-weight: normal;
	text-decoration: none;
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	background-color: #fff;
	padding: 20px 15px;
	border-radius: 10px;
	border: 1px solid rgba(3,3,3,0.1);
	font-size: 0.9em;
	transition: all ease-in 0.1s;
}
.pc-cardapio .itens .item:hover {
      transform: scale(1.02);
      cursor: pointer;
      box-shadow: 0px 1px 3px rgba(3,3,3,0.2);
}


.pc-cardapio .itens .item .dados{
    flex-grow: 3;
    display: flex;
    flex-direction: column;
    width: 69%;
}

.pc-cardapio .itens .item .dados .nome {
	color: var(--cor-principal);
	margin-bottom: 5px;
}

.pc-cardapio .itens .item .dados .descricao {
	font-size: 0.9em;
	line-height: 1.625;
	 
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2;
	width: 95%;
	color: #868383;
}

.pc-cardapio .itens .item .dados .valor {
	display: flex;
	flex-direction: column;
	margin-top: 8px;
}

.pc-cardapio .itens .item .dados .valor span{
    font-size: 0.8em;
	line-height: 1.625;
}

.pc-cardapio .itens .item .dados .valor b{
    color: var(--cor-proncipal);
}

.pc-cardapio .itens .item .imagem {
	width: 30%;
	height: auto;
	 
	/* border-top-left-radius: 8px; */
	/* border-bottom-left-radius: 8px; */
	/* border-top-right-radius: 0px; */
	background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
        background-color: #fff;
	background-position-y: 0px;
	background-repeat: no-repeat;
	align-self: stretch;
	border-radius: 8px;
	min-height: 60px;
}


.pc-produto-capa {
	height: 400px;
	background-size: cover;
	display: flex;
	width: 100%;
	justify-content: flex-end;
	align-items: flex-end;
}

.pc-produto-capa .produto-dados {
	background-color: #fff;
	/* height: 30%; */
	/* margin-bottom: -50px; */
	text-align: center;
	padding: 20px 15px;
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
        width: 100%;
}

.pc-produto-capa .produto-dados .nome {
	font-size: 1.2em;
	margin-bottom: 15px;
	color: var(--cor-principal);
}

.pc-produto-capa .produto-dados .descricao {
	font-size: 0.9em;
}

.produto-imagem-dessktop{display: none;}
.produto-imagem-overlay-desktop{display: none;}

/*Desktop*/
@media only screen and (min-width: 600px) {
   .pc-cardapio .itens {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 15px;
        margin-top: 15px;
        margin-bottom: 30px;
    }

    .pc-cardapio .itens .item {
        width: 100%;
        padding: 10px 15px;
    }
    
    .pc-cardapio .itens .item .imagem {
	width: 30%;
	height: 60px;
	 
	align-self: center;
	border-radius: 8px;
	 
    }
    
    
    /*Capa desktop*/
   .pc-produto-capa {
	height: 300px;
	background-size: cover;
	display: flex;
	width: 100%;
	justify-content: flex-start;
	align-items: center;
	flex-direction: row-reverse;
        position: relative;
         animation: fadeIn 0.3s ease;
         border-radius: 8px;
    }
    
   .produto-imagem-dessktop {
	display: flex;
	width: 60%;
	height: 100%;
	background-size: cover;
	z-index: 2;
	border-top-right-radius: 15px;
	border-bottom-right-radius: 15px;
}
    
    .pc-produto-capa .produto-dados {
	background-color: rgba(255,255,255,0.98);
	/* height: 30%; */
	/* margin-bottom: -50px; */
	text-align: center;
	padding: 20px 15px;
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 60%;
	margin-right: -100px;
	border-radius: 15px;
	z-index: 3;
	min-height: 200px;
	box-shadow: 0px 5px 5px rgba(0,0,0,0.5);
	margin-left: 30px;
}

.pc-produto-capa .produto-dados .nome {
	font-size: 1.8em;
        max-width: 80%;
	 
}
    
    .produto-imagem-overlay-desktop{
        position: absolute;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
       background: linear-gradient( to left, rgba(0,0,0,0.6), rgba(0,0,0,0.2) );
         display: flex;
         z-index: 1;
         backdrop-filter: blur(3px);
         border-radius: 8px;
    }
    
    .pc-produto-capa .produto-dados .descricao {
	font-size: 0.9em;
	line-height: 1.5;
	max-width: 400px;
	margin: 0 auto;
        color: #000;
        
    }
    
    
    
     
}

@keyframes zoomIn {
    from {
        transform: scale(0.95);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}



/*

@media (max-width: 768px) {

    .modal-dialog {
        margin: 0;
        width: 100%;
        height: 100vh;
    }

    .modal-content {
        height: 100vh;
        border-radius: 0;
    }

    .modal-body {
        height: 100vh;
        overflow-y: auto;
        padding-bottom: 90px;  
    }

}


@media (max-width: 768px) {

    .pc-modal-footer-fixed {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 9999;
        background: #fff;
        padding: 10px 15px;
        box-shadow: 0 -2px 10px rgba(0,0,0,0.1);
    }

}

@media (max-width: 768px) {

    .modal {
        padding: 0 !important;
    }
    
    .modal-header {
	 
 border-bottom: none;
}

}

.modal-body {
    padding-bottom: 100px !important;
}

.pc-modal-footer-fixed {
    border-top: 1px solid #eee;
}
*/